# Interface IFieldConditionOption

The `IFieldConditionOption` is a component option expressing a field-based condition that must be satisfied.

## Index

### Properties

- field
- reverseCondition
- values

## Properties

### field

field: string

- Defined in ui/Base/IComponentOptions.ts :17

The name of the field on which the condition is based (e.g., `author`).

### Optional reverseCondition

reverseCondition: boolean

- Defined in ui/Base/IComponentOptions.ts :27

Whether the condition should disallow the specified `values` rather than allowing them.

### values

values: string[]

- Defined in ui/Base/IComponentOptions.ts :22

The field values allowed (or disallowed) by the condition (e.g., `["Alice Smith", "Bob Jones"]`).

### Hierarchy

- IFieldConditionOption